Subject: Re: Failing to get DMA working with MPC5200 (TQM5200) and CompactFlash

From: Josh Triplett <[email-masked]>
Date: Fri, 26 Mar 2010 15:59:16 -0700

On Fri, Mar 26, 2010 at 11:17:07PM +0100, Wolfgang Wegner wrote:
> Hi Josh,
> 
> On Fri, Mar 26, 2010 at 02:32:02PM -0700, Josh Triplett wrote:
> > On Fri, Mar 26, 2010 at 12:22:32PM -0600, Grant Likely wrote:
> > > 
> > > Not all CF adapters have all the pins wired up that are needed for
> > > *DMA modes.  That is the most likely problem.
> > 
> > True, but we bought a card that specifically advertises support for
> > UDMA, and says UDMA right on the card's label.
> > 
> > http://store.lexar.com/?productid=CF8GB-300-381
> 
> Grant was referring to the adapter, not the card!
> 
> In fact I still have to see a single CF-to-IDE adapter that does
> have the wires needed for (U)DMA without me soldering them in place...

Oh!  OK, that makes more sense.

However, according to one of our hardware hackers, Andrew Greenberg
(CCed), the STK5200 development breakout board for the TQM5200 *does*
have the DMA pins wired up correctly, at least according to its
schematic.  That doesn't guarantee that the board matches the schematic,
of course.

Any other ideas for things we could check to try to track down this
problem?

- Josh Triplett